import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:we2app_hello/we2app_hello.dart';

void main() {
  const MethodChannel channel = MethodChannel('we2app_hello');

  TestWidgetsFlutterBinding.ensureInitialized();

  setUp(() {
    channel.setMockMethodCallHandler((MethodCall methodCall) async {
      return '42';
    });
  });

  tearDown(() {
    channel.setMockMethodCallHandler(null);
  });

  test('getPlatformVersion', () async {
    expect(await We2appHello.platformVersion, '42');
  });
}
